Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZLinkAttribute Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| get ( $id=-1)
& | getAll ()
| delete ()
| id ()
| name ()
| unit ()
| type ()
| setName ( $value)
| setUnit ( $value)
| setType ( $type)
| setValue ( $link, $value)
| value ( $link)
| moveUp ()
| moveDown ()

## Public Attributes
| $ID
| $TypeID
| $Name
| $Placement
| $Unit

## Detailed Description

Definition at line 32 of file ezlinkattribute.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZLinkAttribute::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZLinkAttribute object. Retrieves the data from the database if a valid id is given as an argument.

Definition at line 38 of file ezlinkattribute.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZLinkAttribute::delete | ( |  | ) |

Deletes a option from the database.

Definition at line 156 of file ezlinkattribute.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ get()

eZLinkAttribute::get | ( |  | $id = `-1` | ) |

Fetches the link attribute object values from the database.

Definition at line 110 of file ezlinkattribute.php.

References $db, $id, eZDB\globalDatabase(), and Name.

## ◆ getAll()

& eZLinkAttribute::getAll | ( |  | ) |

Retrieves every option from the database.

Definition at line 136 of file ezlinkattribute.php.

References $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZLinkAttribute::id | ( |  | ) |

Returns the object ID to the option. This is the unique ID stored in the database.

Definition at line 172 of file ezlinkattribute.php.

References $ID.

## ◆ moveDown()

eZLinkAttribute::moveDown | ( |  | ) |

Moves this item down one step in the order list, this means that it will swap place with the item below.

Definition at line 324 of file ezlinkattribute.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ moveUp()

eZLinkAttribute::moveUp | ( |  | ) |

Moves this item up one step in the order list, this means that it will swap place with the item above.

Definition at line 301 of file ezlinkattribute.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ name()

eZLinkAttribute::name | ( |  | ) |

Returns the name of the attribute.

Definition at line 180 of file ezlinkattribute.php.

References $Name.

## ◆ setName()

eZLinkAttribute::setName | ( |  | $value | ) |

Sets the name of the attribute.

Definition at line 206 of file ezlinkattribute.php.

References Name.

## ◆ setType()

eZLinkAttribute::setType | ( |  | $type | ) |

Sets the type of the attribute.

Definition at line 222 of file ezlinkattribute.php.

References $type.

## ◆ setUnit()

eZLinkAttribute::setUnit | ( |  | $value | ) |

Sets the measuring unit of the attribute.

Definition at line 214 of file ezlinkattribute.php.

## ◆ setValue()

eZLinkAttribute::setValue | ( |  | $link,
|  |  | $value
| ) |  |

Sets the attribute value for the given link.

Definition at line 233 of file ezlinkattribute.php.

References $db, $link, $res, and eZDB\globalDatabase().

## ◆ store()

eZLinkAttribute::store | ( |  | ) |

Stores a eZLinkattribute object to the database.

Definition at line 50 of file ezlinkattribute.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ type()

eZLinkAttribute::type | ( |  | ) |

Returns the type of the attribute.

Definition at line 196 of file ezlinkattribute.php.

References $type.

## ◆ unit()

eZLinkAttribute::unit | ( |  | ) |

Returns the measuring unit of the attribute.

Definition at line 188 of file ezlinkattribute.php.

References $Unit.

## ◆ value()

eZLinkAttribute::value | ( |  | $link | ) |

Returns the attribute value to the given link.

Definition at line 277 of file ezlinkattribute.php.

References $db, $link, $ret, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $ID

eZLinkAttribute::$ID

Definition at line 343 of file ezlinkattribute.php.

Referenced by __construct(), and id().

## ◆ $Name

eZLinkAttribute::$Name

Definition at line 345 of file ezlinkattribute.php.

Referenced by name().

## ◆ $Placement

eZLinkAttribute::$Placement

Definition at line 346 of file ezlinkattribute.php.

## ◆ $TypeID

eZLinkAttribute::$TypeID

Definition at line 344 of file ezlinkattribute.php.

## ◆ $Unit

eZLinkAttribute::$Unit

Definition at line 347 of file ezlinkattribute.php.

Referenced by unit().

The documentation for this class was generated from the following file:

- ezlinkattribute.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.